opencv: cv::SparseMatIterator Class Reference

Public Member Functions

# cv::SparseMatIterator Class Reference

`#include <core.hpp>`

Inheritance diagram for cv::SparseMatIterator:

List of all members.

## Public Member Functions
SparseMat::Node * | node () const
| returns pointer to the current sparse matrix node. it.node->idx is the index of the current element (do not modify it!)
SparseMatIterator & | operator++ ()
| moves iterator to the next element
SparseMatIterator | operator++ (int)
| moves iterator to the next element
SparseMatIterator & | operator= (const SparseMatIterator &it)
| the assignment operator
| SparseMatIterator (const SparseMatIterator &it)
| the copy constructor
| SparseMatIterator (SparseMat *_m)
| the full constructor setting the iterator to the first sparse matrix element
| SparseMatIterator ()
| the default constructor
| SparseMatIterator (SparseMat *_m, const int *idx)
| the full constructor setting the iterator to the specified sparse matrix element
template<typename _Tp >
_Tp & | value () const
| returns read-write reference to the current sparse matrix element

## Detailed Description

Read-write Sparse Matrix Iterator

The class is similar to cv::SparseMatConstIterator, but can be used for in-place modification of the matrix elements.

## Constructor & Destructor Documentation

cv::SparseMatIterator::SparseMatIterator | ( | ) | `[inline]`

the default constructor

cv::SparseMatIterator::SparseMatIterator | ( | SparseMat * | _m ) | `[inline]`

the full constructor setting the iterator to the first sparse matrix element

cv::SparseMatIterator::SparseMatIterator | ( | SparseMat * | _m,
|  | const int * | idx
| ) |  |

the full constructor setting the iterator to the specified sparse matrix element

cv::SparseMatIterator::SparseMatIterator | ( | const SparseMatIterator & | it ) | `[inline]`

the copy constructor

## Member Function Documentation

SparseMat::Node * cv::SparseMatIterator::node | ( | ) | const`[inline]`

returns pointer to the current sparse matrix node. it.node->idx is the index of the current element (do not modify it!)

Reimplemented from cv::SparseMatConstIterator.

SparseMatIterator cv::SparseMatIterator::operator++ | ( | int | ) | `[inline]`

moves iterator to the next element

Reimplemented from cv::SparseMatConstIterator.

SparseMatIterator & cv::SparseMatIterator::operator++ | ( | ) | `[inline]`

moves iterator to the next element

Reimplemented from cv::SparseMatConstIterator.

SparseMatIterator & cv::SparseMatIterator::operator= | ( | const SparseMatIterator & | it ) | `[inline]`

the assignment operator

template<typename _Tp >

_Tp & cv::SparseMatIterator::value | ( | ) | const`[inline]`

returns read-write reference to the current sparse matrix element

Reimplemented from cv::SparseMatConstIterator.

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines